# RPM specfile for gnome-vfs2 module
# Generated Thu Jul  3 19:47:05 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235 2003/05/27 16:34:51 thunder Exp $
# from $Id: ximian-build.conf,v 1.94 2003/07/03 19:47:45 dave Exp $

%define nam	gnome-vfs2
%define ver	2.2.5
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	14

Name:     	gnome-vfs2
Version: 	2.2.5
Release:	0.ximian.6.14
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gnome-vfs-2.2.5.tar.bz2
Patch0:		gnome-vfs2-rh80-administrator-settings-menu.patch
Patch1:		gnome-vfs2-preferences-layout.patch
Patch2:		gnome-vfs2-system-vfolder-support.patch
Patch3:		gnome-vfs2-nfs-rewrite.patch
Patch4:		gnome-vfs2-devices-method.patch
Patch5:		gnome-vfs2-ximian-menus.patch
BuildRequires:	krb5-devel
BuildRequires:	bzip2-devel
BuildRequires:	fam-devel
BuildRequires:	glib2-devel
BuildRequires:	libbonobo-devel
BuildRequires:	GConf2-devel
BuildRequires:	GConf2-devel
Summary:	GNOME 2 virtual file system library
Group:		System Environment/Libraries
Requires:	gnome-mime-data >= 2.0
Requires:	ximian-menus >= 1.99.3
Provides:	ximian-gnome-vfs2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2
Conflicts:	gnome-vfs2-devel < 2.2.5-0.ximian.6.14
Conflicts:	gnome-vfs2-devel > 2.2.5-0.ximian.6.14

%description
The GNOME 2 Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

%files
%defattr(-, root, root)
%doc AUTHORS README NEWS TODO ChangeLog INSTALL COPYING COPYING.LIB
/usr/lib/*.so.*
/usr/lib/bonobo/monikers/*.so
/usr/lib/bonobo/servers/*
%attr (4755, root, root) /usr/libexec/gnome-vfs-reserved-port-helper
%dir /usr/lib/vfs
%dir /usr/lib/gnome-vfs-2.0
%dir /usr/lib/gnome-vfs-2.0/modules
/usr/lib/gnome-vfs-2.0/modules/*.so
/usr/lib/vfs/2.0
/usr/*/locale/*/LC_MESSAGES/*
/etc/gconf/schemas/*
/etc/gnome-vfs-2.0


%post
GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/system_http_proxy.schemas
ldconfig

%postun
ldconfig

%package -n gnome-vfs2-devel
Summary:	GNOME 2 virtual file system library.
Group:		Development/Libraries
Requires:	gnome-vfs2 = 2.2.5-0.ximian.6.14
Requires:	bonobo-activation-devel
Provides:	ximian-gnome-vfs2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-vfs2-devel
This contains headers and libraries for developing with gnome-vfs2.

%files -n gnome-vfs2-devel
%defattr(-, root, root)
/usr/lib/*.a
/usr/lib/*.so
/usr/lib/bonobo/monikers/*a
/usr/lib/pkgconfig/*.pc
/usr/lib/gnome-vfs-2.0/include
/usr/lib/gnome-vfs-2.0/modules/*a
/usr/include/*
/usr/share/gtk-doc/html/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-vfs-2.2.5
    ;;
all)
%setup  -q -n gnome-vfs-2.2.5
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
%patch -p1 -P 4
%patch -p1 -P 5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; aclocal-1.4 ${ACLOCAL_FLAGS} -I /usr/share/aclocal/gnome2-macros; autoheader; autoconf; automake-1.4 --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Jul 3 2003 Ximian, Inc.

- Version: 2.2.5-0.ximian.6.14
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 2.2.4-0.ximian.4
- Summary: New build.
- New automated build.

* Wed Apr 16 2003 Ximian, Inc.

- Version: 2.2.4-0.ximian.1
- Summary: New build.
- New automated build.

* Wed Mar 12 2003 Ximian, Inc.

- Version: 2.2.3-0.ximian.1
- Summary: New build.
- New automated build.

* Fri Feb 14 2003 Ximian, Inc.

- Version: 2.2.2-1.ximian.5
- Summary: New build.
- New automated build.

* Fri Jan 24 2003 Ximian, Inc.

- Version: 2.2.0-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Jan 15 2003 Ximian, Inc.

- Version: 2.0.4.1-1.ximian.3
- Summary: New build.
- New automated build.

* Thu Sep 12 2002 Ximian, Inc.

- Version: 2.0.4-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 26 2002 Ximian, Inc.

- Version: 2.0.2-1.ximian.1
- Summary: New build.
- New automated build.

* Fri Jul 12 2002 Ximian, Inc.

- Version: 2.0.1-1.ximian.1
- Summary: New build.
- New automated build.

